From 7e5de7c42ac5aa506fa0a8eebda42e52af39c739 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 16 2017 14:08:54 +0000
Subject: [PATCH 756/1001] Provide a sensible default for the Username validator


---

diff --git a/hubs/widgets/validators.py b/hubs/widgets/validators.py
index 99290b3..9c96320 100644
--- a/hubs/widgets/validators.py
+++ b/hubs/widgets/validators.py
@@ -1,8 +1,8 @@
 from __future__ import unicode_literals
 
-import kitchen.text.converters
-
+import flask
 import hubs.models
+import kitchen.text.converters
 import requests
 
 
@@ -91,6 +91,12 @@ class Username(Validator):
             return value
         raise ValueError('Invalid username')
 
+    @classmethod
+    def to_string(cls, value):
+        if value is None and flask.g.auth.logged_in:
+            return flask.g.auth.user.username
+        return value
+
 
 class GithubOrganization(Validator):
     """Fails if the Github organization name does not exist."""

